Duplicate a catalog

post

/fscmRestApi/resources/11.13.18.05/shoppingCatalogs/action/duplicateCatalog

Duplicates the specified local, punchout, or informational catalog to create a catalog with the specified name.

Request

Header Parameters
  • This header accepts a string value. The string is a semi-colon separated list of =. It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers.
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/vnd.oracle.adf.action+json ()
Root Schema : schema
Type: object
Show Source
  • parameters
    Additional Properties Allowed: additionalProperties
    Parameters for the duplicate catalog action. The required attributes are CatalogId and CatalogName that capture the unique identifier of the catalog duplicated and the name of the catalog created, respectively. Optional parameters are the ProcurementBUId and CatalogDescription that capture the unique identifier of the procurement business unit where the catalog is created and the description of the catalog, respectively.
Nested Schema : parameters
Type: object
Additional Properties Allowed
Show Source
Parameters for the duplicate catalog action. The required attributes are CatalogId and CatalogName that capture the unique identifier of the catalog duplicated and the name of the catalog created, respectively. Optional parameters are the ProcurementBUId and CatalogDescription that capture the unique identifier of the procurement business unit where the catalog is created and the description of the catalog, respectively.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Body ()
Root Schema : schema
Type: object
Show Source
Nested Schema : result
Type: object
Additional Properties Allowed
Show Source
If the request is successful, then this action returns the unique identifier of the duplicated catalog. Otherwise, it returns the relevant error.
Back to Top